Skip to main content
GET
/
api
/
v1
/
data_sources
/
test
/
{job_id}
Get data source testing results
curl --request GET \
  --url https://app.datafold.com/api/v1/data_sources/test/{job_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.datafold.com/api/v1/data_sources/test/{job_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.datafold.com/api/v1/data_sources/test/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "results": [
    {
      "result": null
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Use the 'Authorization' header with the format 'Key '

Path Parameters

job_id
integer
required

Response

Successful Response

id
integer
required
results
TestResultStep · object[]
required
status
enum<string>
required
Available options:
needs_confirmation,
needs_authentication,
waiting,
queued,
processing,
done,
failed,
cancelled